> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/17.-query-bodemdatasets-ophalen.md).

# 17. Query: bodemdatasets ophalen

Haal alle "SoilDatasets" op voor het geselecteerde "Field". Datasets kunnen worden opgehaald met generieke GraphQL-queries zoals `getFarms` en `getFields` van het gekoppelde "Field".&#x20;

{% hint style="warning" %}
Een "SoilDataset" moet van tevoren worden geüpload.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #patroon "<OperationType> <YYYY-mm-DD>"
        operationId #indien aanwezig
        number #totaal aantal geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #volledige details per attribuut
          name #koppeling naar statistieken >> attribuut
          transliteratedName
          fullName #indien aanwezig
          unit #indien aanwezig
        }

        createdDate #entiteit aanmaakdatum en -tijd in GeoPard
        updatedDate #laatste update datum en -tijd
        operationType
        operationId
        operationFileDate #bestand aanmaakdatum en -tijd
        operationStartDate #start van de bewerking
        
        statistics { #statistieke verdeling voor elk bodemattribuut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          korteNaam
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        naam  
        operationId #indien aanwezig 
        number #totaal aantal geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #koppeling naar statistieken >> attribuut
          transliteratedName
          fullName #indien aanwezig
          unit #indien aanwezig
        }
      
        createdDate #aanmaakdatum en -tijd in GeoPard
        updatedDate #laatste update datum en -tijd in GeoPard
        operationFileDate #bestand aanmaakdatum en -tijd (indien aanwezig)
        operationStartDate #start van de bewerking (indien aanwezig)
      
        statistics { #statistische verdeling voor elk bodemattribuut
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #visuele weergave
          url
          korteNaam
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.geopard.tech/geopard-tutorials/nl/api-documentatie/overzicht-van-geopard-api-verzoeken/17.-query-bodemdatasets-ophalen.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
